org.apache.ignite.spi.communication.tcp.internal

## Class TcpCommunicationConnectionCheckFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<BitSet>
  - - org.apache.ignite.spi.communication.tcp.internal.TcpCommunicationConnectionCheckFuture

All Implemented Interfaces:
  EventListener, IgniteInternalFuture<BitSet>, GridLocalEventListener, IgniteSpiTimeoutObject

    public class TcpCommunicationConnectionCheckFuture
    extends GridFutureAdapter<BitSet>
    implements IgniteSpiTimeoutObject, GridLocalEventListener

Tcp Communication Connection Check Future.

### Field Summary

Fields
`static int` `SES_FUT_META` Session future.

### Constructor Summary

Constructors
Constructor and Description
`TcpCommunicationConnectionCheckFuture(TcpCommunicationSpi spi, IgniteLogger log, GridNioServer nioSrvr, List<ClusterNode> nodes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `endTime()`
`IgniteUuid` `id()`
`void` `init(long timeout)`
`boolean` `onDone(BitSet res, Throwable err)` Callback to notify that future is finished.
`void` `onEvent(Event evt)` Local event callback.
`void` `onTimeout()` Timeout callback.

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SES_FUT_META

    public static final int SES_FUT_META

Session future.

### Constructor Detail

#### TcpCommunicationConnectionCheckFuture

    public TcpCommunicationConnectionCheckFuture(TcpCommunicationSpi spi,
                                                 IgniteLogger log,
                                                 GridNioServer nioSrvr,
                                                 List<ClusterNode> nodes)

Parameters:
  `spi` - SPI instance.
  `log` - Logger.
  `nioSrvr` - NIO server.
  `nodes` - Nodes to check.

### Method Detail

#### init

    public void init(long timeout)

Parameters:
  `timeout` - Connect timeout.

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `IgniteSpiTimeoutObject`
Returns:
  Unique object ID.

#### endTime

    public long endTime()

Specified by:
  `endTime` in interface `IgniteSpiTimeoutObject`
Returns:
  End time.

#### onEvent

    public void onEvent(Event evt)

Local event callback.

Specified by:
  `onEvent` in interface `GridLocalEventListener`
Parameters:
  `evt` - local grid event.

#### onTimeout

    public void onTimeout()

Timeout callback.

Specified by:
  `onTimeout` in interface `IgniteSpiTimeoutObject`

#### onDone

    public boolean onDone(@Nullable
                          BitSet res,
                          @Nullable
                          Throwable err)

Callback to notify that future is finished. Note that if non-`null` exception is passed in the result value will be ignored.

Overrides:
  `onDone` in class `GridFutureAdapter<BitSet>`
Parameters:
  `res` - Optional result.
  `err` - Optional error.
Returns:
  `True` if result was set by this call.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018